#include <stdlib.h>
#include <stdio.h>

int main (void) {
  int i,j,k;
  for (i=1;i<4;i++){
    for (k=1;k<4;k++){
    j = 10*(i*i) - 4*i*k + 10*(k*k) +3*i - 3*k + 2;
    printf("%d ",j);
  }
  printf("\n");
  }
  return EXIT_SUCCESS;
}
